Subject: [decade] DECADE Architecture Draft

From: Martin Stiemerling <[email-masked]>
Date: Fri, 10 Jun 2011 09:44:47 +0000

Hi all,

I volunteered to review the DECADE architecture draft during the last IETF meeting. I have reviewed it and I have a number of issues. 

The high-level summary: I don't see the draft in a good shape, especially not for people who are not actively participating in DECADE.

However, I currently lack the time to get all the issues written up in an email, but let's start with some issues here:

My general comment about the architecture draft is that it is really hard to read, as it does miss some parts (or is unclear) somewhere which described in other locations. This does not make it easier to read and understand the concepts. 

A good example for this:
Figure 1, a quite complex and huge figure, emphasizes the end point to server architecture, but the also important server to server part is easily missed. This isn't a comprehensive architecture figure. I was afterwards surprised by Section 6 on server to server protocols. 

Furthermore, the distinction between what is user data, what is control data and what is management data is not made clear (at least to me). See Sections 5.1.3 and 5.1.4.
The status information is for information from the DECADE server. To my understanding this would be general status information which are part of a MIB (for instance). But the list on page 23 is more about per user or per content status information. This is my first point of confusion. 
Furthermore, there seems to be a mixture between Sections 5.1.3 and 5.1.4, as in 5.1.3 information about objects is stored, while the same information is again stated in the object information, i.e, the access information. 

This does not look like a set of clean data models or at least idea of data models behind this. 

This a first set of comments, I will write up more once I find a cycle for this. Sorry for sending only an incomplete list of issues I have with the draft.

  Martin

[email-masked]

NEC Laboratories Europe - Network Research Division
NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | Registered in England 2832014